/******************************************************************************
 * $Id: file.h,v 1.6 2004/09/22 01:14:27 jimb Exp $
 * @file
 * @author  Jim Brooks http://www.jimbrooks.org
 ******************************************************************************/

#ifndef FILE_H
#define FILE_H

char*
LoadFile( gchar* pFileName,
          guint* pFileSize /* OUT */ );

GString*
LoadFileSpecial( gchar* pFileName );

long
FileSize( gchar* pFilename );

int
FileSuffixMatch( char* pFilename,
                 char* pSuffix );

int
LangmapMatch( char* pFilename,
              char* pLang );

int
WhichKindOfSrcFile( char* pFilename );

int
IsSrcFileCish( char* pFilename );

int
IsSrcFileC( char* pFilename );

int
IsSrcFileCPlusPlus( char* pFilename );

int
IsSrcFileJava( char* pFilename );

int
IsSrcFileAsm( char* pFilename );

int
IsSrcFilePerl( char* pFilename );

int
IsSrcFilePython( char* pFilename );

int
IsSrcFileForth( char* pFilename );

FUNC_X
FilterMsdosCr( char*  pBufOld,
               int    sizeOld,
               char** ppBufNew, /*OUT*/
               int*   pSizeNew  /*OUT*/ );
#endif /* FILE_H */
