/******************************************************************************
 * $Id: focusbar.h,v 1.4 2004/09/22 01:14:27 jimb Exp $
 * @file
 * @author  Jim Brooks http://www.jimbrooks.org
 ******************************************************************************/

#ifndef FOCUSBAR_H
#define FOCUSBAR_H

focusbar_t*
FocusbarCreate( char* pFontName );

void
FocusbarDestroy( focusbar_t* pFocusbar );

void
FocusbarLabelSet( focusbar_t* pFocusbar,
                  char*       pStr );

void
FocusbarFocusGain( focusbar_t* pFocusbar );

void
FocusbarFocusLose( focusbar_t* pFocusbar );

void
FocusbarPaint( focusbar_t* pFocusbar );

gboolean
HandlerFocusbarExpose( GtkWidget*      pWidget,
                       GdkEventExpose* pEvent,
                       gpointer        pFocusbar );

#endif /* FOCUSBAR_H */
