/******************************************************************************
 * $Id: funcgraph.h,v 1.10 2004/09/22 01:14:27 jimb Exp $
 * @file
 * @author  Jim Brooks http://www.jimbrooks.org
 ******************************************************************************/

void
InitFuncgraph( void );

void
BuildFuncGraph( void );

void
AddFuncCallToGraph( char* pFuncCallId,
                    int   lenFuncCallId );

void
AddFuncDefToGraph( char* pFuncDefId,
                   int   lineLeftBrace,
                   int   lineRightBrace );

int
ShouldFuncIdBeGraphed( char* pFuncId );

gboolean
IgnoreFuncName( char* pFuncName/*ASCIIZ*/, int funcNameLen );

#ifdef HYPERSRC_DEBUG
void
DumpFuncGraph( void );

void
CallbackDumpFuncGraph( gpointer key,
                       gpointer val,
                       gpointer unused );
#endif /* HYPERSRC_DEBUG */
