/******************************************************************************
 * $Id: prefs.h,v 1.5 2004/09/22 01:14:28 jimb Exp $
 * @file
 * @author  Jim Brooks http://www.jimbrooks.org
 ******************************************************************************/

#ifndef PREFS_H
#define PREFS_H

void
EditPrefs( void );

GtkWidget*
CreatePropertyPageFont( void );

GtkWidget*
CreatePropertyPageLayout( void );

GtkWidget*
CreatePropertyPageNumbers( void );

GtkWidget*
CreatePropertyPageMisc( void );

GtkWidget*
CreatePropertyPageSearch( void );

GtkWidget*
CreatePropertyPageKeyboard( void );

void
HandlerPropertyPageFontButton( GtkWidget* pWidget,
                               gpointer   pStr );

void
HandlerFontSelOk( GtkWidget*              pWidget,
                  GtkFontSelectionDialog* pWidgetFsd );

void
HandlerFontSelCancel( GtkWidget*              pWidget,
                      GtkFontSelectionDialog* pWidgetFsd );

void
HandlerPropertyPageEntryModified( GtkWidget* pWidget,
                                 gpointer   pUnused );

void
HandlerPropertyPageToggle( GtkWidget* pWidget,
                           gpointer   pUnused );

void
HandlerPropertyPageApply( GtkWidget* pWidget,
                          gint       page,
                          gpointer   pUnused );

gint
HandlerPropertyPageClose( GnomeDialog* pGnomeDialog,
                          gpointer     pUnused );

void
SaveFontNames( void );

void
RestoreFontNames( void );

int
ApplyFonts( gboolean applyTreeFont );

#endif /* PREFS_H */
