/******************************************************************************
 * $Id: statusbar.h,v 1.4 2004/09/22 01:14:28 jimb Exp $
 * @file
 * @author  Jim Brooks http://www.jimbrooks.org
 ******************************************************************************/

#ifndef STATUSBAR_H
#define STATUSBAR_H

void
RecordStatusbarMsg( gchar* pMsg );

gchar*
GetStatusbarMsg( void );

void
PrintStatusbarNoTimeout( gchar* pMsg );

void
PrintStatusbar( gchar* pMsg );

void
PrintStatusbarThirdsNoTimeout( gchar* pMsg1,
                               gchar* pMsg2,
                               gchar* pMsg3 );
void
PrintStatusbarThirds( gchar* pMsg1,
                      gchar* pMsg2,
                      gchar* pMsg3 );

void
StartupStatusMsg( gchar* pMsg1,
                  gchar* pMsg2,
                  gchar* pMsg3 );

void
PrintStatusbarForRow( gchar* pMsg,
                      gint   row );

gint
RowAssociatedWithStatusbar( void );

void
SetStatusbarInitialMsg( gchar* pMsg );

void
DiscardStatusbarMsg( void );

void
ClearStatusbar( void );

void
ClearStatusbar_( int limit );

void
MostlyClearStatusbar( void );

void
EnableStatusbarTimeout( void );

gint
StatusbarTimedOut( gpointer unused );

void
StatusbarShowPercentage( char* pMsg,
                         int   percent );

void
StatusbarBusy( void );

#endif /* STATUSBAR_H */
