/******************************************************************************
 * $Id: hilite_perl.h,v 1.5 2004/09/22 01:14:27 jimb Exp $
 * @file
 * @author  Jim Brooks http://www.jimbrooks.org
 ******************************************************************************/

#ifndef HILITE_PERL_H
#define HILITE_PERL_H

void
InitHilitePerl( void );

gboolean
HilitePerl( GtkWidget* pWidget,
            char*      pBuffer,
            int        bufferSize,
            int        srcFileKind );

gboolean
HilitePerlString( GtkWidget*  pWidget,
                  const char* pStr,
                  int         strSize,
                  char        precedingChar,
                  char*       pScratch,
                  int         srcFileKind );

int
ParsePerlArg( const char* pc,
              const char* pBufEnd );

int
IsPerlVarChar( char c );

int
IsPerlSymbolChar( char c );

const char*
FindPerlSymbolVarChar( const char* pStr,
                       int         len,
                       gboolean    includeVarChars );

#endif /* HILITE_PERL_H */
