/******************************************************************************
 * $Id: hilite_python.h,v 1.3 2004/09/22 01:14:27 jimb Exp $
 * @file
 * @author  Jim Brooks http://www.jimbrooks.org
 ******************************************************************************/

#ifndef HILITE_PYTHON_H
#define HILITE_PYTHON_H

void
InitHilitePython( void );

gboolean
HilitePython( GtkWidget* pWidget,
              char*      pBuffer,
              int        bufferSize,
              int        srcFileKind );

gboolean
HilitePythonString( GtkWidget* pWidget,
                  const char*  pStr,
                  int          strSize,
                  char         precedingChar,
                  char*        pScratch,
                  int          srcFileKind );

int
IsPythonSymbolChar( char c );

const char*
FindPythonSymbolChar( const char* pStr,
                      int         len );

#endif /* HILITE_PYTHON_H */
