/******************************************************************************
 * $Id: history.h,v 1.4 2004/09/22 01:14:27 jimb Exp $
 * @file
 * @author  Jim Brooks http://www.jimbrooks.org
 ******************************************************************************/

#ifndef HISTORY_H
#define HISTORY_H

void
CreateHistoryClistWidget( void );

void
HistoryClistWidgetRowSelectCallback( GtkWidget*      pWidget,
                                     gint            row,
                                     gint            col,
                                     GdkEventButton* pEvent,
                                     gpointer	     pData );

void
HistoryClistWidgetRowUnselectCallback( GtkWidget*      pWidget,
                                       gint            row,
                                       gint            col,
                                       GdkEventButton* pEvent,
                                       gpointer        pData );

void
PrependTagHistory( tag_t* pTag );

void
UndoPrependTagHistory( void );

void
StepHistoryList( gboolean stepDown );

void
RecordCursorInTagHistory( char* pTagName );

void
UndoRecordCursorInTagHistory( void );

#endif /* HISTORY_H */
