/******************************************************************************
 * $Id: menu.h,v 1.5 2004/09/22 01:14:28 jimb Exp $
 * @file
 * @author  Jim Brooks http://www.jimbrooks.org
 ******************************************************************************/

#ifndef MENU_H
#define MENU_H

void
SetSensitivityMenubar( gboolean sensitive );

void
CreateMenubar( GtkWidget* pWidgetHbox );

void
MenuItemSelected( gpointer   pData,
                  guint      menuItem,
                  GtkWidget* pWidget );

void
RunEditor( char* pEditor );

void
MenuItemFindTag( void );

void
CreateFindDialog( MENU_ITEM menuItem );

void
FindDialogClose( void );

void
FindDialogClickedFind( void );

void
CheckButtonFindToggledBool( GtkWidget* pWidget,
                            gpointer   pVarBool );

void
CheckButtonFindGlobalToggled( GtkWidget* pWidget,
                              gpointer   pData );

void
CheckButtonFindReverseToggled( GtkWidget* pWidget,
                               gpointer   pData );

void
CheckButtonFindRegexToggled( GtkWidget* pWidget,
                             gpointer   pData );

#endif /* MENU_H */
