/******************************************************************************
 * $Id: module.h,v 1.4 2004/09/22 01:14:28 jimb Exp $
 * @file
 * @author  Jim Brooks http://www.jimbrooks.org
 ******************************************************************************/

#ifndef MODULE_H
#define MODULE_H

char*
ModuleBuffer( gchar* pModuleName,
              guint* pModuleSize /* OUT */ );

void
FreeModuleBuffer( gchar* pModuleName );

module_t*
HashDebutModule( char* pModuleName );/* ## CALLER MUST PASS PERMANENT STRING!! ## */

guint
HashModuleKey( gconstpointer pModuleName );

gint
HashModuleCmp( gconstpointer pModuleName1,
               gconstpointer pModuleName2 );

void
CreateModuleNameGlist( void );

void
AddSortedModuleGlist( gpointer pModuleName,
                      gpointer pUnused,
                      gpointer ppGlist );

#endif /* MODULE_H */
